#!/bin/bash
# Do not run this script directly. 
# Instead, run one of:
#   make run
#   make run-cpu
#   make run-mic
#   make run-both

if [ $# -lt 1 ]; then exit; fi

cp options options.MIC /nfs/options/

export I_MPI_MIC=on
export I_MPI_PIN=0
export I_MPI_MIC_POSTFIX=.MIC
source /opt/intel/impi/4.1.1/intel64/bin/mpivars.sh
export LD_LIBRARY_PATH=$LD_LIBRARY_PATH:$MIC_LD_LIBRARY_PATH
export KMP_AFFINITY=compact,granularity=fine

mpirun -machinefile machines-$1 /nfs/options/options &> results-${1}.txt

echo ~~~~~~~~~~~~~~~~~~~~~~~~~~~~DONE~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
